If you have the locale incorrectly configured on your Solaris platform, you might receive error messages when you attempt to start the vRealize Hyperic agent .

Error messages might resemble the following:

prompt$ cd /opt/vmware/hyperic/agent-4.5.0.7-EE/bin
prompt$ ./hq-agent.sh start

Bad string
Unable to locate any of the following binaries:
/opt/vmware/hyperic/agent-4.5.0.7-EE/wrapper/sbin/../../wrapper/sbin/wrapper---32
/opt/vmware/hyperic/agent-4.5.0.7-EE/wrapper/sbin/../../wrapper/sbin/wrapper---64
/opt/vmware/hyperic/agent-4.5.0.7-EE/wrapper/sbin/../../wrapper/sbin/wrapper
...

Verify that the locale is not set to a UTF-8 locale such as en_US.UTF-8.

Resolve this issue by setting the LC_CTYPEenvironment variable to something like

LC_CTYPE=en_US
LC_CTYPE=en_US.ISO8859-1
LC_CTYPE=en_US.ISO8859-15

.